package com.trade.service.trade.exportrebate.dto;

import java.math.BigDecimal;

/**
 * 出口退税明细汇总数据
 */
public class TaxRebateSummaryDataDto {

    /**
     * 申报年月（所属期）（yyyyMM）
     */
    private String declarationMonthYear;
    /**
     * 申报批次
     */
    private String declarationBatch;
    /**
     * 报关单数量（18位）
     */
    private String customsDeclarationCount;
    /**
     * 出口总额（美元，万元）
     */
    private BigDecimal exportTotalAmount;
    /**
     * 采购发票张数
     */
    private Integer purchaseInvoiceCount;
    /**
     * 退税总额（人民币，万元）
     */
    private BigDecimal taxRebateTotalAmount;
    /**
     * 代理公司统一社会信用代码/注册号
     */
    private String agencyCertNo;
    /**
     * 代理公司名称
     */
    private String agencyName;
    /**
     * 退税状态，枚举rebate_process_status
     */
    private String status;
    /**
     * 是否可选进行退税款确认
     */
    private boolean selectable;

    public String getDeclarationMonthYear() {
        return declarationMonthYear;
    }

    public void setDeclarationMonthYear(String declarationMonthYear) {
        this.declarationMonthYear = declarationMonthYear;
    }

    public String getDeclarationBatch() {
        return declarationBatch;
    }

    public void setDeclarationBatch(String declarationBatch) {
        this.declarationBatch = declarationBatch;
    }

    public String getCustomsDeclarationCount() {
        return customsDeclarationCount;
    }

    public void setCustomsDeclarationCount(String customsDeclarationCount) {
        this.customsDeclarationCount = customsDeclarationCount;
    }

    public BigDecimal getExportTotalAmount() {
        return exportTotalAmount;
    }

    public void setExportTotalAmount(BigDecimal exportTotalAmount) {
        this.exportTotalAmount = exportTotalAmount;
    }

    public Integer getPurchaseInvoiceCount() {
        return purchaseInvoiceCount;
    }

    public void setPurchaseInvoiceCount(Integer purchaseInvoiceCount) {
        this.purchaseInvoiceCount = purchaseInvoiceCount;
    }

    public BigDecimal getTaxRebateTotalAmount() {
        return taxRebateTotalAmount;
    }

    public void setTaxRebateTotalAmount(BigDecimal taxRebateTotalAmount) {
        this.taxRebateTotalAmount = taxRebateTotalAmount;
    }

    public String getAgencyCertNo() {
        return agencyCertNo;
    }

    public void setAgencyCertNo(String agencyCertNo) {
        this.agencyCertNo = agencyCertNo;
    }

    public String getAgencyName() {
        return agencyName;
    }

    public void setAgencyName(String agencyName) {
        this.agencyName = agencyName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public boolean isSelectable() {
        return selectable;
    }

    public void setSelectable(boolean selectable) {
        this.selectable = selectable;
    }
}
